Skip to Content
Tracira
API referenceRules

Get a single rule

gethttps://www.tracira.com/api/rules/{id}
GET
/api/rules/{id}

Authorization

sessionAuth
cookiebetter-auth.session_token<token>

Browser session cookie used by logged-in Tracira users. Secure-prefixed variants may also be used by the browser.

Path Parameters

id*string

Response Body

Rule detail.

application/json
  1. response
id*string
name*string
type*string
Value in"keyword_required""keyword_forbidden""regex_match""length_limit""confidence_threshold""llm_judge""json_field""json_field_keyword_required""json_field_keyword_forbidden"
description*string
value*string
isActive*boolean
projectId?string|null
projectName?string|null
taskName?string|null
llmJudgeProvider?|
Value in"anthropic""openai""openrouter"
llmJudgeModel?string|null
createdAt*string
Formatdate-time
Example Request
curl -X GET 'https://www.tracira.com/api/rules/3c9e5a72-6d18-4f0b-b2a4-7e51d8c06f94'
Example Response
{  "id": "string",  "name": "string",  "type": "keyword_required",  "description": "string",  "value": "string",  "isActive": true,  "projectId": "string",  "projectName": "string",  "taskName": "string",  "llmJudgeProvider": "anthropic",  "llmJudgeModel": "string",  "createdAt": "2019-08-24T14:15:22Z"}